System.Design 2.0.0.0 System.Object

The class takes information provided (for example, an XML schema) and creates a typed dataset class.

Generates a strongly typed class.

- Method
  2.0.0.0
  System.String `` `` ``

  Generates a strongly typed . The dataset is created in the namespace indicated in the parameter, and the dataset is generated in the managed programming language indicated in the parameter.

  Generates a strongly typed based on an existing .

  A strongly typed .

  The source that specifies the metadata for the typed . The namespace that provides the target namespace for the typed . The language-specific to use to generate the dataset.
- Method
  2.0.0.0
  System.String `` `` `` ``

  Calling this method with untrusted data is a security risk. Call this method only with trusted data. For more information, see Untrusted Data Security Risks.

  Generates a strongly typed .

  Generates a strongly typed based on the provided input file.

  A strongly typed .

  A string that represents the XML schema to base the on. The to contain the generated code. The that contains the generated dataset. The language-specific to use to generate the dataset.
- Method
  2.0.0.0
  System.Void `` `` `` `` ``

  Calling this method with untrusted data is a security risk. Call this method only with trusted data. For more information, see Untrusted Data Security Risks.

  Generates a strongly typed .

  Generates a strongly typed based on the provided input file.

  A strongly typed .

  A string that represents the XML schema to base the on. The to contain the generated code. The that contains the generated dataset. The language specific to use to generate the dataset. A HashTable that maps connections to specific providers in the typed dataset.
- Method
  2.0.0.0
  System.Void `` `` `` `` ``

  Calling this method with untrusted data is a security risk. Call this method only with trusted data. For more information, see Untrusted Data Security Risks.

  Generates a strongly typed .

  Generates a strongly typed based on the provided input file.

  A strongly typed .

  A string that represents the XML schema to base the on. The to contain the generated code. The that contains the generated dataset. The language-specific to use to generate the dataset. The to use to override the provider contained in the .
- Method
  2.0.0.0
  System.String `` `` `` `` `` To be added. To be added. To be added. To be added. To be added. To be added. To be added. To be added.
- Method
  2.0.0.0
  System.Void `` `` `` `` `` `` To be added. To be added. To be added. To be added. To be added. To be added. To be added. To be added.
- Method
  2.0.0.0
  System.String ``

  Calling this method with untrusted data is a security risk. Call this method only with trusted data. For more information, see Untrusted Data Security Risks.

  This method returns the first provider name in the specified .

  Returns the first provider name found in the provided input file.

  A string that represents the specific provider for this .

  A string that represents the XML schema to base the on.
- Method
  2.0.0.0
  System.String `` ``

  Calling this method with untrusted data is a security risk. Call this method only with trusted data. For more information, see Untrusted Data Security Risks.

  Returns the provider name for the given in the .

  Returns the provider name for the in the input file.

  A string that represents the provider name for the specific table passed in to the parameter.

  A string that represents the XML schema to base the on. A string that represents the name of the table to return the provider name from.
- Property
  2.0.0.0
  System.Collections.Generic.ICollection<System.Reflection.Assembly> To be added.

  The generator iterates over this list and adds the assemblies to your project.

  Gets or sets the collection of assemblies referenced in a typed dataset.